Bug 223652 - [NEW PORT] x11-fonts/google-fonts: Collection of freely redistributable TrueType fonts from Google
Summary: [NEW PORT] x11-fonts/google-fonts: Collection of freely redistributable TrueT...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL: https://reviews.freebsd.org/D13091
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-13 15:24 UTC by Dmitri Goutnik
Modified: 2017-11-18 16:46 UTC (History)
1 user (show)

See Also:


Attachments
patch file (188.61 KB, patch)
2017-11-13 15:24 UTC, Dmitri Goutnik
no flags Details | Diff
patch file (185.50 KB, text/plain)
2017-11-13 21:32 UTC, Dmitri Goutnik
no flags Details
patch file (184.30 KB, patch)
2017-11-14 03:18 UTC, Dmitri Goutnik
no flags Details | Diff
patch file (201.91 KB, patch)
2017-11-14 19:59 UTC, Dmitri Goutnik
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitri Goutnik freebsd_committer 2017-11-13 15:24:05 UTC
Created attachment 187968 [details]
patch file

Collection of more than 2400 freely redistributable TrueType fonts from the
Google Fonts project, installed locally and suitable for use in X.Org
applications.

WWW: https://fonts.google.com/

QA:
  portlint -ACN: OK
  poudriere testport: OK (11a, 10i, DOCS tested)
Comment 1 Dmitri Goutnik freebsd_committer 2017-11-13 16:37:57 UTC
Comment on attachment 187968 [details]
patch file

After some more thought, it seems it would be more correct to declare RUN_DEPENDS on existing fonts instead of declaring them as CONFLICTS_INSTALL. Will redo the patch.
Comment 2 Dmitri Goutnik freebsd_committer 2017-11-13 21:32:10 UTC
Created attachment 187980 [details]
patch file
Comment 3 Dmitri Goutnik freebsd_committer 2017-11-13 21:32:44 UTC
QA:
  portlint -ACN: OK
  poudriere testport: OK (11a, 10i, DOCS tested)
Comment 4 Dmitri Goutnik freebsd_committer 2017-11-14 03:18:28 UTC
Created attachment 187984 [details]
patch file

Updated to use package deps in RUN_DEPENDS.
Comment 5 Dmitri Goutnik freebsd_committer 2017-11-14 19:59:33 UTC
Created attachment 188001 [details]
patch file

Simplify do-install-DOCS-on target.
Comment 6 Yuri Victorovich freebsd_committer 2017-11-18 16:46:17 UTC
Thank you for your submission!
Comment 7 commit-hook freebsd_committer 2017-11-18 16:46:45 UTC
A commit references this bug:

Author: yuri
Date: Sat Nov 18 16:45:50 UTC 2017
New revision: 454448
URL: https://svnweb.freebsd.org/changeset/ports/454448

Log:
  New port: x11-fonts/google-fonts: Collection of freely redistributable TrueType fonts from Google

  PR:		223652
  Submitted by:	Dmitri Goutnik <dg@syrec.org>
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D13091

Changes:
  head/x11-fonts/Makefile
  head/x11-fonts/google-fonts/
  head/x11-fonts/google-fonts/Makefile
  head/x11-fonts/google-fonts/distinfo
  head/x11-fonts/google-fonts/files/
  head/x11-fonts/google-fonts/files/pkg-message.in
  head/x11-fonts/google-fonts/pkg-descr
  head/x11-fonts/google-fonts/pkg-plist